# Widget docs
1. Create a appsmith-docs/widget-reference/<widget>.md file.
2. Follow the [asset-upload](UploadingAssets.md) guidelines to upload and use an asset in the docs.

## Widget docs template
Copy paste this template 
```
---
description: >-
  Widget Description
---

# WidgetName

## Image/gif of the widget on the canvas with the icon of the widget in the sidebar

## 2 different usages of the widget with API / Query data

## Properties
| Property      | Description           |
| :------------ | :-------------------- |
| **property1** | Property1 description |
| **property2** | Property2 description |
| **property3** | Property3 description |

| Action      | Description         |
| :---------- | :------------------ |
| **action1** | action1 description |
| **action2** | action2 description |
| **action3** | action3 description |
```

